Hamkorlar uchun API › Sozlamalar Aksiyani o‘chirish POST /api/crm/v2/special_offers_list.deletev2
operationId: specialOffersList.delete
Aksiyani va uning diskdagi rasmini o'chiradi.
Avtorizatsiya api-token + language + role
So‘rov parametrlari branch_id integer
So‘rov bajarilayotgan filial. Bir nechta filialga ega hamkor bu parametrni majburiy uzatishi kerak, aks holda so‘rov xato bilan yakunlanadi. Bitta filialga ega hamkor uchun server uni avtomatik tarzda belgilaydi.
Misol: 8778
So‘rov tanasi application/json object
id integer majburiy
Misol: 2
Javoblar 200
object
status string majburiy
Qiymatlar: successerror
Misol: success
curl PHP JavaScript Python Nusxa olish
curl -X POST 'https://foodsoul.ru/api/crm/v2/special_offers_list.delete' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: uz' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":2}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/special_offers_list.delete' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'uz' ,
'role' => 'partner' ,
],
'json' => [
'id' => 2 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/special_offers_list.delete" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uz" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 2
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/special_offers_list.delete" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uz" ,
"role" : "partner" ,
},
json ={
"id" : 2 ,
},
)
data = response . json () Javob 200
{
"status" : "success" ,
"data" : {}
} So‘rovlar foodsoul.ru ga yuboriladi — bu portalning xosti, boshqasini tanlash mumkin emas.